import extra_geom

from ..base_geometry import ManualQuadrantsGeometryBase, make_quadrant_corners_node


class Dssc1MGeometry(ManualQuadrantsGeometryBase):
    geometry_class = extra_geom.DSSC_1MGeometry
    quadrantCorners = make_quadrant_corners_node(
        [
            (-130, 5),
            (-130, -125),
            (5, -125),
            (5, 5),
        ]
    )
